## firefox-esr-mobile-config 3.2.0

=== Makefile ===
# Copyright 2022 Oliver Smith
# SPDX-License-Identifier: MPL-2.0

HEADER_FILE := src/common/header.css
USERCHROME_FILES := $(HEADER_FILE) $(sort $(wildcard src/userChrome/*.css))
USERCONTENT_FILES := $(HEADER_FILE) $(sort $(wildcard src/userContent/*.css))
DESTDIR :=
FIREFOX_DIR := /usr/lib/firefox
FIREFOX_CONFIG_DIR := /etc/firefox

all: out/userChrome.css out/userContent.css

clean:
	rm -rf out
out:
	mkdir out

out/userChrome.css: $(USERCHROME_FILES) out
	cat $(USERCHROME_FILES) > $@

out/userContent.css: $(USERCONTENT_FILES) out
	cat $(USERCONTENT_FILES) > $@

install: all
	install -Dm644 src/policies.json \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/policies/policies.json"
	install -Dm644 src/mobile-config-prefs.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
	install -Dm644 src/mobile-config-autoconfig.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/mobile-config-autoconfig.js"
	install -Dm644 "out/userChrome.css" \
		"$(DESTDIR)/etc/mobile-config-firefox/userChrome.css"
	install -Dm644 "out/userContent.css" \
		"$(DESTDIR)/etc/mobile-config-firefox/userContent.css"
	install -Dm644 org.postmarketos.mobile_config_firefox.metainfo.xml \
		"$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"

.PHONY: all clean install

=== debian/changelog ===
firefox-esr-mobile-config (3.2.0-1) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * New upstream release
  * d/patches: remove upstreamed restart firefox patch

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 28 Dec 2022 04:01:46 +0100

firefox-esr-mobile-config (3.1.0-1) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * Initial Debian release (Closes: #1025517)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 07 Dec 2022 00:10:26 +0100

=== debian/control ===
Source: firefox-esr-mobile-config
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Jarrah Gosbell <debian@undef.tools>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://gitlab.com/postmarketOS/mobile-config-firefox
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/packages/firefox-esr-mobile-config
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/packages/firefox-esr-mobile-config.git
Rules-Requires-Root: no

Package: firefox-esr-mobile-config
Architecture: all
Depends:
 ${misc:Depends},
 firefox-esr,
Description: Default mobile-friendly configuration for Firefox ESR
 This package provides a set of configuration files aimed at making Firefox ESR
 more mobile-friendly. It provides:
  * default preferences values
  * custom userChrome.css

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/mobile-config-firefox.*\.tar\.gz/mobile-config-firefox-$1\.tar\.gz/g,uversionmangle=s/_rc/~rc/ \
  https://gitlab.com/postmarketOS/mobile-config-firefox/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## firefox-esr-mobile-config 4.0.1

=== debian/changelog ===
firefox-esr-mobile-config (4.0.1-1) experimental; urgency=medium

  [ Jarrah Gosbell ]
  * d/control: fix VCS tags after move to DebianOnMobile.
    While we got the team change, we missed the `packages` subdirectory.

  [ Arnaud Ferraris ]
  * New upstream version 4.0.1
  * d/patches: refresh for new upstream version
  * d/control: bump Standards-Version, no change needed
  * debian: add lintian overrides

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Apr 2023 14:02:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/postmarketOS/mobile-config-firefox
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/packages/firefox-esr-mobile-config
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/packages/firefox-esr-mobile-config.git
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config.git
 Rules-Requires-Root: no
 
 Package: firefox-esr-mobile-config

## firefox-esr-mobile-config 4.0.3

=== Makefile ===
# Copyright 2023 Oliver Smith
# SPDX-License-Identifier: MPL-2.0

HEADER_FILE := src/common/header.css
USERCHROME_FILES := $(HEADER_FILE) $(sort $(wildcard src/userChrome/*.css))
USERCONTENT_FILES := $(HEADER_FILE) $(sort $(wildcard src/userContent/*.css))
DESTDIR :=
FIREFOX_DIR := /usr/lib/firefox
FIREFOX_CONFIG_DIR := /etc/firefox

all: out/userChrome.files out/userContent.files

clean:
	rm -rf out
out:
	mkdir out

out/userChrome.files: $(USERCHROME_FILES) out
	for i in $(USERCHROME_FILES); do \
        echo "$$i" | cut -d/ -f 2-; \
    done > $@

out/userContent.files: $(USERCONTENT_FILES) out
	for i in $(USERCONTENT_FILES); do \
        echo "$$i" | cut -d/ -f 2-; \
    done > $@

install: all
	install -Dm644 src/policies.json \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/policies/policies.json"
	install -Dm644 src/mobile-config-prefs.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
	install -Dm644 src/mobile-config-autoconfig.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/mobile-config-autoconfig.js"
	install -Dm644 "out/userChrome.files" \
		-t "$(DESTDIR)/etc/mobile-config-firefox"
	install -Dm644 "out/userContent.files" \
		-t "$(DESTDIR)/etc/mobile-config-firefox"
	for dir in common userChrome userContent; do \
		for i in src/$$dir/*.css; do \
			install \
				-Dm644 \
				"$$i" \
				-t "$(DESTDIR)/etc/mobile-config-firefox/$$dir"; \
		done; \
	done
	install -Dm644 org.postmarketos.mobile_config_firefox.metainfo.xml \
		"$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"

.PHONY: all clean install

=== debian/changelog ===
firefox-esr-mobile-config (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 19 Jul 2023 13:28:03 +0200

firefox-esr-mobile-config (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 17:03:28 +0200

## firefox-esr-mobile-config 4.4.0

=== debian/changelog ===
firefox-esr-mobile-config (4.4.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (Closes: #1084733).

 -- Pirate Praveen <praveen@debian.org>  Sat, 03 May 2025 23:56:05 +0530

firefox-esr-mobile-config (4.4.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: refresh for new upstream release
  * d/control: bump Standards-Version, no other change needed
  * d/patches: fix metainfo validation

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 18 Nov 2024 15:09:48 +0100

firefox-esr-mobile-config (4.3.2-2) unstable; urgency=medium

  * Team Upload
  * Upload to unstable
  * d/control: Specify a minimum firefox-esr version.
    This version works well with 115 and later and causes some regression
    in private browsing on 102 and older so let's specify that.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Jun 2024 14:00:24 +0200

firefox-esr-mobile-config (4.3.2-1) experimental; urgency=medium

  * Team Upload
  * Upload to experimental
  * Rediff patches
  * Add upstream metainfo.
    This makes repository setup via `gbp clone --add-upstream-vcs` simpler.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Jun 2024 07:43:24 +0200

firefox-esr-mobile-config (4.3.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Thu, 11 Apr 2024 18:52:40 +0530

firefox-esr-mobile-config (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Update for current GitLab tags page

 -- Jarrah Gosbell <debian@undef.tools>  Sat, 30 Mar 2024 23:06:10 +0000

firefox-esr-mobile-config (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: rebase on new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 21 Sep 2023 20:16:57 +0200

firefox-esr-mobile-config (4.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 01 Aug 2023 14:00:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
-Homepage: https://gitlab.com/postmarketOS/mobile-config-firefox
+Standards-Version: 4.7.0
+Homepage: https://gitlab.postmarketos.org/postmarketOS/mobile-config-firefox
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config.git
 Rules-Requires-Root: no
@@ -15,7 +15,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- firefox-esr,
+ firefox-esr (>= 115),
 Description: Default mobile-friendly configuration for Firefox ESR
  This package provides a set of configuration files aimed at making Firefox ESR
  more mobile-friendly. It provides:

## firefox-esr-mobile-config 4.6.0

=== debian/changelog ===
firefox-esr-mobile-config (4.6.0-3) unstable; urgency=medium

  * Team upload.
  * Reupload to unstable
  * Add Provides: librewolf-mobile-config

 -- Pirate Praveen <praveen@debian.org>  Tue, 06 May 2025 02:46:19 +0530

firefox-esr-mobile-config (4.6.0-2) experimental; urgency=medium

  * Team upload.
  * Support LibreWolf by providing symblic links to /usr/share/librewolf
    (Closes: #1104664)

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 May 2025 14:47:02 +0530

firefox-esr-mobile-config (4.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1104661).
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 May 2025 13:27:44 +0530

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Depends:
  ${misc:Depends},
  firefox-esr (>= 115),
+Provides: librewolf-mobile-config (=${source:Version})
 Description: Default mobile-friendly configuration for Firefox ESR
  This package provides a set of configuration files aimed at making Firefox ESR
  more mobile-friendly. It provides:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- FIREFOX_DIR=/usr/lib/firefox-esr

## firefox-esr-mobile-config 4.6.1

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
     done > $@
 
 install: all
+	src/prepare_install.sh "$(FIREFOX_DIR)" "$(DESTDIR)"
 	install -Dm644 src/policies.json \
 		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/policies/policies.json"
 	install -Dm644 src/mobile-config-prefs.js \
@@ -47,4 +48,13 @@
 	install -Dm644 org.postmarketos.mobile_config_firefox.metainfo.xml \
 		"$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"
 
-.PHONY: all clean install
+uninstall:
+	src/prepare_uninstall.sh "$(FIREFOX_DIR)" "$(DESTDIR)"
+	rm -fv "$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/policies/policies.json"
+	rm -fv "$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
+	rm -fv "$(DESTDIR)/$(FIREFOX_DIR)/mobile-config-autoconfig.js"
+	rm -rfv "$(DESTDIR)/etc/mobile-config-firefox"
+	rm -fv "$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"
+
+
+.PHONY: all clean install uninstall

=== debian/changelog ===
firefox-esr-mobile-config (4.6.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: drop Rules-Requires-Root.
    This parameter now defaults to `no`, so we can drop this entry. Also
    bump Standards-Version, as no other change is needed.
  * d/watch: update to version 5

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 30 Sep 2025 09:32:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.postmarketos.org/postmarketOS/mobile-config-firefox
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config.git
-Rules-Requires-Root: no
 
 Package: firefox-esr-mobile-config
 Architecture: all

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.postmarketos.org/postmarketOS/mobile-config-firefox

## firefox-esr-mobile-config 5.0.0

=== Makefile ===
# Copyright 2023 Oliver Smith
# SPDX-License-Identifier: MPL-2.0

DESTDIR :=
FIREFOX_DIR := /usr/lib/firefox
FIREFOX_CONFIG_DIR := /usr/lib/mobile-config-firefox

dummy:
	@echo "Running 'make' is not needed anymore, just do 'sudo make install'."

install:
	src/prepare_install.sh "$(FIREFOX_DIR)" "$(DESTDIR)"
	install -Dm644 src/policies.json \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/policies/policies.json"
	install -Dm644 src/mobile-config-prefs.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
	install -Dm644 src/mobile-config-autoconfig.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/mobile-config-autoconfig.js"
	install -Dm644 src/modules/chrome.manifest \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/chrome.manifest"
	install -Dm644 src/modules/boot.sys.mjs \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/boot.sys.mjs"
	# PrefManager
	install -Dm644 src/modules/PrefManager.sys.mjs \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/PrefManager.sys.mjs"
	# UserAgentManager
	install -Dm644 src/modules/UserAgentManager.sys.mjs \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/UserAgentManager.sys.mjs"
	# StyleSheetManager
	install -Dm644 src/modules/StyleSheetManager.sys.mjs \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/StyleSheetManager.sys.mjs"
	install -dm755 "$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/themes/chrome/"
	install -dm755 "$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/themes/content/"
	install -Dm644 src/themes/main.css \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/themes/main.css"
	install -Dm644 src/themes/chrome/*.css \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/themes/chrome/"
	install -Dm644 src/themes/content/*.css \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/themes/content/"
	# AboutMobile
	install -Dm644 src/modules/AboutMobile.sys.mjs \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/AboutMobile.sys.mjs"
	install -Dm644 src/modules/aboutmobile/aboutmobile.js \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/aboutmobile/aboutmobile.js"
	install -Dm644 src/modules/aboutmobile/aboutmobile.css \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/aboutmobile/aboutmobile.css"
	install -Dm644 src/modules/aboutmobile/index.html \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/aboutmobile/index.html"
	install -Dm644 src/modules/aboutmobile/locales/en-US/browser/aboutmobile/aboutmobile.ftl \
		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/aboutmobile/locales/en-US/browser/aboutmobile/aboutmobile.ftl"
	# Miscs
	install -Dm644 org.postmarketos.mobile_config_firefox.metainfo.xml \
		"$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"

uninstall:
	src/prepare_uninstall.sh "$(FIREFOX_DIR)" "$(DESTDIR)"
	rm -fv "$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/policies/policies.json"
	rm -fv "$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
	rm -fv "$(DESTDIR)/$(FIREFOX_DIR)/mobile-config-autoconfig.js"
	rm -rfv "$(DESTDIR)/$(FIREFOX_CONFIG_DIR)"
	rm -fv "$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"


.PHONY: all clean install uninstall

=== debian/changelog ===
firefox-esr-mobile-config (5.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: update for new upstream version.
    Our patch adding a few default preference values didn't apply anymore as
    those moved from `mobile-config-autoconfig.js` to `modules/boot.sys.mjs`
    in upstream's latest release; refresh the patch by targeting the new
    file.
  * d/lintian-overrides: update for new upstream version
  * d/copyright: update for new upstream version.
    The latest release underwent a significant rewrite, with a new
    contributor being responsible from most of those changes, so the diff is
    quite big this time.
  * d/postinst: update for new upstream version.
    Previous versions of this package used to rely on conffiles, which moved
    under `/usr/lib` in the current version. Delete the old conffiles
    as they're not needed anymore and would only be confusing.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 15 Dec 2025 15:58:59 +0100

## firefox-esr-mobile-config 5.0.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,10 @@
 
 install:
 	src/prepare_install.sh "$(FIREFOX_DIR)" "$(DESTDIR)"
+	# Firefox Policies
 	install -Dm644 src/policies.json \
-		"$(DESTDIR)/$(FIREFOX_CONFIG_DIR)/policies/policies.json"
+		"$(DESTDIR)/$(FIREFOX_DIR)/distribution/policies.json"
+	# Mobile Config Firefox
 	install -Dm644 src/mobile-config-prefs.js \
 		"$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
 	install -Dm644 src/mobile-config-autoconfig.js \

=== debian/changelog ===
firefox-esr-mobile-config (5.0.1-2) unstable; urgency=medium

  * debian: fix policies install path.
    On Debian, `/usr/lib/firefox/distribution` is a symlink to
    `/usr/share/firefox/distribution`, causing piuparts to error out when
    installing the `policies.json` file to the former location. Change the
    install path to the `/usr/share` folder in order to fix this error.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 16 Dec 2025 10:16:35 +0100

firefox-esr-mobile-config (5.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 16 Dec 2025 09:52:23 +0100

## firefox-esr-mobile-config 5.1.0

=== Makefile ===
# Copyright 2023 Oliver Smith
# SPDX-License-Identifier: MPL-2.0

DESTDIR :=
FIREFOX_DIR := /usr/lib/firefox
MCF_DIR := /usr/lib/mobile-config-firefox

dummy:
	@echo "Running 'make' is not needed anymore, just do 'sudo make install'."

install:
	src/prepare_install.sh "$(FIREFOX_DIR)" "$(DESTDIR)"
	# Firefox Policies
	install -Dm644 src/policies.json \
		"$(DESTDIR)/$(FIREFOX_DIR)/distribution/policies.json"
	# Mobile Config Firefox
	install -Dm644 src/mobile-config-prefs.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
	install -Dm644 src/mobile-config-autoconfig.js \
		"$(DESTDIR)/$(FIREFOX_DIR)/mobile-config-autoconfig.js"
	install -Dm644 src/modules/chrome.manifest \
		"$(DESTDIR)/$(MCF_DIR)/chrome.manifest"
	install -Dm644 src/modules/boot.sys.mjs \
		"$(DESTDIR)/$(MCF_DIR)/boot.sys.mjs"
	# PrefManager
	install -Dm644 src/modules/PrefManager.sys.mjs \
		"$(DESTDIR)/$(MCF_DIR)/PrefManager.sys.mjs"
	# UserAgentManager
	install -Dm644 src/modules/UserAgentManager.sys.mjs \
		"$(DESTDIR)/$(MCF_DIR)/UserAgentManager.sys.mjs"
	# StyleSheetManager
	install -Dm644 src/modules/StyleSheetManager.sys.mjs \
		"$(DESTDIR)/$(MCF_DIR)/StyleSheetManager.sys.mjs"
	## Shared theme
	install -dm755 "$(DESTDIR)/$(MCF_DIR)/themes/shared/chrome/"
	install -dm755 "$(DESTDIR)/$(MCF_DIR)/themes/shared/content/"
	install -Dm644 src/themes/shared/main.css \
		"$(DESTDIR)/$(MCF_DIR)/themes/shared/main.css"
	install -Dm644 src/themes/shared/chrome/*.css \
		"$(DESTDIR)/$(MCF_DIR)/themes/shared/chrome/"
	install -Dm644 src/themes/shared/content/*.css \
		"$(DESTDIR)/$(MCF_DIR)/themes/shared/content/"
	## ESR theme
	install -Dm644 src/themes/esr/main.css \
		"$(DESTDIR)/$(MCF_DIR)/themes/esr/main.css"
	## Release theme
	install -dm755 "$(DESTDIR)/$(MCF_DIR)/themes/release/chrome/"
	install -Dm644 src/themes/release/main.css \
		"$(DESTDIR)/$(MCF_DIR)/themes/release/main.css"
	install -Dm644 src/themes/release/chrome/*.css \
		"$(DESTDIR)/$(MCF_DIR)/themes/release/chrome/"
	# AboutMobile
	install -Dm644 src/modules/AboutMobile.sys.mjs \
		"$(DESTDIR)/$(MCF_DIR)/AboutMobile.sys.mjs"
	install -Dm644 src/modules/aboutmobile/aboutmobile.js \
		"$(DESTDIR)/$(MCF_DIR)/aboutmobile/aboutmobile.js"
	install -Dm644 src/modules/aboutmobile/aboutmobile.css \
		"$(DESTDIR)/$(MCF_DIR)/aboutmobile/aboutmobile.css"
	install -Dm644 src/modules/aboutmobile/index.html \
		"$(DESTDIR)/$(MCF_DIR)/aboutmobile/index.html"
	install -Dm644 src/modules/aboutmobile/locales/en-US/browser/aboutmobile/aboutmobile.ftl \
		"$(DESTDIR)/$(MCF_DIR)/aboutmobile/locales/en-US/browser/aboutmobile/aboutmobile.ftl"
	# Miscs
	install -Dm644 org.postmarketos.mobile_config_firefox.metainfo.xml \
		"$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"

uninstall:
	src/prepare_uninstall.sh "$(FIREFOX_DIR)" "$(DESTDIR)"
	rm -fv "$(DESTDIR)/$(FIREFOX_DIR)/distribution/policies.json"
	rm -fv "$(DESTDIR)/$(FIREFOX_DIR)/defaults/pref/mobile-config-prefs.js"
	rm -fv "$(DESTDIR)/$(FIREFOX_DIR)/mobile-config-autoconfig.js"
	rm -rfv "$(DESTDIR)/$(MCF_DIR)"
	rm -fv "$(DESTDIR)/usr/share/metainfo/org.postmarketos.mobile_config_firefox.metainfo.xml"


.PHONY: all clean install uninstall

=== debian/changelog ===
firefox-esr-mobile-config (5.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update for new release.
    Many (theme) files were moved around and a few ones were added, ensure
    our information is up-to-date.
  * d/patches: refresh for new upstream version
  * d/lintian-overrides: update for new release.
    One of the files referenced in `lintian-overrides` was moved to a new
    location in this release.
  * d/control: drop Priority and bump Standards-Version
    `Priority: optional` is no longer needed as of Debian Policy 4.7.3, so
    drop that field and bump Standards-Version accordingly.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 09 Jan 2026 12:25:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: firefox-esr-mobile-config
 Section: x11
-Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.postmarketos.org/postmarketOS/mobile-config-firefox
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/firefox-esr-mobile-config.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- FIREFOX_DIR=/usr/lib/firefox-esr \
	                   FIREFOX_SHARE_DIR=/usr/share/firefox-esr
